#pragma once

#include <QWidget>
#include <memory>
#include <QShortcut>
#include "../items/signal.h"
#include "itemwidget.h"

namespace Ui
{
class SignalWidget;
}

class SignalWidget : public ItemWidget
{
	Q_OBJECT
protected:

	virtual void disable();

private slots:
	void moveToValue(int8_t value);
	void setValue(int8_t value);
	void deleteItem();

public:
	explicit SignalWidget(std::weak_ptr<Item> item, QWidget *parent);
	~SignalWidget();

public slots:

	virtual void stateChanged(int state);

private:
	Ui::SignalWidget *ui;
};
